/*
PlaySol - automatic solitaire playing program for windows
Copyright (C) 2006 Robert Hart

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.

*/
// PlaySolDlg.h : header file
//

#pragma once
#include "afxwin.h"


// CPlaySolDlg dialog
class CPlaySolDlg : public CDialog
{
// Construction
public:
	CPlaySolDlg(CWnd* pParent = NULL);	// standard constructor
	SolEngine Engine;
// Dialog Data
	enum { IDD = IDD_PLAYSOL_DIALOG };

	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support


// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	DECLARE_MESSAGE_MAP()
public:
	afx_msg void OnBnClickedOk();
	afx_msg void OnEnChangeEdit1();
	CEdit editbox;
public:
	CEdit gridbox;
public:
	afx_msg void OnBnClickedStep();
public:
	afx_msg void OnBnClickedPlaylots();
};
